/* 
Unlimited Simulator is copyrighted (c) Bruno Barberi Gnecco, 1999, and
distributed under the GNU General Public License (GPL). The conditions can be
found in the file GPL, resident at the main directory of the distribution.
*/
#ifndef UL_VARTYPES_H
#define UL_VARTYPES_H

/* There's probably no reason to change the Bool type. */
#ifndef Bool
# define Bool	char
# define True 	1
# define False 	0
#endif

/* correct these if your system is different. */
typedef unsigned char 	uByte;	/* unsigned 8 bit value */
typedef signed char 	sByte;	/* signed 8 bit value */
typedef unsigned short 	uShort;	/* unsigned 16 bit value */
typedef signed short 	sShort;	/* signed 16 bit value */
typedef unsigned long 	uLong;	/* unsigned 32 bit value */
typedef signed long 	sLong;	/* signed 32 bit value */
typedef unsigned int 	uInt;	/* unsigned int value (16 or 32 bit) */
typedef signed int 	sInt; 	/* signed int value (16 or 32 bit) */
typedef float		fFloat; /* single precision float */
typedef double 		dFloat; /* double precision float */

/* these are not ANSI C, and not used by now */
#ifdef __GNUC__
typedef unsigned long long 	uLLong;	/* unsigned 64 bit value */
typedef signed long long 	sLLong;	/* signed 64 bit value */
#endif

#endif
